org.ggf.drmaa

## Class DeniedByDrmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.ggf.drmaa.DrmaaException
      - - org.ggf.drmaa.DeniedByDrmException

- All Implemented Interfaces:
    java.io.Serializable

      public class DeniedByDrmException
      extends DrmaaException

  The DRM system rejected the job. The job will never be accepted due to DRM configuration or job template settings.
  Since:
    0.5
  Version:
    1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeniedByDrmException()` Creates a new instance of `DeniedByDrmException` without detail message.
    `DeniedByDrmException(java.lang.String msg)` Constructs an instance of `DeniedByDrmException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeniedByDrmException

          public DeniedByDrmException()

      Creates a new instance of `DeniedByDrmException` without detail message.

    - #### DeniedByDrmException

          public DeniedByDrmException(java.lang.String msg)

      Constructs an instance of `DeniedByDrmException` with the specified detail message.
      Parameters:
        `msg` - the detail message.

The contents of this file are licensed under the Sun Industry Standards Source License version 1.2.
Copyright 2008, Sun Microsystems, Inc.